dofile("scripts/entities/entityinclude.lua")

function init()
	if isFlag(FLAG_SUNTEMPLE_WATERLEVEL, 0) then
		setWaterLevel(node_y(getNode("SUNTEMPLE_GEAR1")))
	elseif isFlag(FLAG_SUNTEMPLE_WATERLEVEL, 1) then
		setWaterLevel(node_y(getNode("SUNTEMPLE_GEAR2")))
	else
		setWaterLevel(node_y(getNode("SUNTEMPLE_GEAR3")))
	end
	debugLog(string.format("SunTemple: FLAG_SUNTEMPLE_WATERLEVEL was %d", getFlag(FLAG_SUNTEMPLE_WATERLEVEL)))
	if isFlag(FLAG_SUNTEMPLE_LIGHTCRYSTAL, 1) then
		node = entity_getNearestNode(getNaija(), "LIGHTCRYSTAL_SPAWN")
		if node ~= 0 then
			createEntity("LightCrystalCharged", "", node_x(node), node_y(node))
		end
		crystalHolder = getEntity("CrystalHolder")
		if crystalHolder ~=0 then
			entity_delete(crystalHolder)
		end
	end
end
